List All Offset Orders
curl --request GET \
--url https://api.sandbox.external.bnznow.com/offset-gateway/orders \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.external.bnznow.com/offset-gateway/orders"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.sandbox.external.bnznow.com/offset-gateway/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"current_page": 123,
"total_records": 123,
"limit": 123
},
"overview": {
"total_orders": 123,
"total_amount_paid": 123,
"total_users": 123
},
"orders": [
{
"order_id": "<string>",
"emission_amount": 123,
"emission_unit": "<string>",
"user": {
"name": "<string>",
"email": "<string>",
"tax_id": "<string>"
},
"callback_url": "<string>",
"payment_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"project": {
"name": "<string>",
"registry": "<string>",
"project_id": "<string>",
"category": "<string>",
"type": "<string>",
"public_url": "<string>"
}
}
]
}{
"error": 123,
"message": "<string>"
}Offset Gateway
Get All Orders
Get All Orders
GET
/
offset-gateway
/
orders
List All Offset Orders
Headers
API key for authentication
Query Parameters
Email of user to get orders for
Tax ID of user to get orders for
The maximum number of results to return
Required range:
1 <= x <= 100The page number to return
Required range:
1 <= x <= 1000The sort order of the results
Available options:
asc, desc Filter orders by status
Available options:
pending, completed, failed ⌘I
